API Explorer 936 endpoints

Get ATM Attributes

GET /obp/v7.0.0/banks/BANK_ID/atms/ATM_ID/attributes

OBPv5.1.0-getAtmAttributes Roles: CanGetAtmAttribute(per bank),CanGetAtmAttributeAtAnyBank ATMATM-AttributeAttribute

Get ATM Attributes

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

ATM_ID: atme-9a0f-4bfa-b30b-9003aa467f51

BANK_ID: gh.29.uk

JSON response body fields (8)
atm_attribute_id
xxaf2a-9a0f-4bfa-b30b-9003aa467f51
atm_attributes
atm_attributes
atm_id
atme-9a0f-4bfa-b30b-9003aa467f51
bank_id
gh.29.uk
name
ACCOUNT_MANAGEMENT_FEE
type
value
5987953
is_active
false
Example success response
{
  "atm_attributes": [
    {
      "bank_id": "gh.29.uk",
      "atm_id": "atme-9a0f-4bfa-b30b-9003aa467f51",
      "atm_attribute_id": "xxaf2a-9a0f-4bfa-b30b-9003aa467f51",
      "name": "ACCOUNT_MANAGEMENT_FEE",
      "type": "",
      "value": "5987953",
      "is_active": false
    }
  ]
}
Possible errors (5)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv5.1.0 getAtmAttributes Originally /obp/v5.1.0/banks/BANK_ID/atms/ATM_ID/attributes